Create Steam offer
Create a Steam offer for user using ONE OF deposit_id OR transaction_id.
You can create a deposit without items and call this method later to create a Steam offer.
You have 15 minutes after creation a deposit to create a Steam offer. You can't create multiple Steam offers for one deposit.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
merchantrequired | body | string | Your merchant name |
deposit_idoptional | body | string | Your unique custom deposit ID (string, max 50 characters) |
transaction_idoptional | body | integer | Transaction ID |
steam_idrequired | body | string | Steam ID (17 digits) |
trade_url_tokenrequired | body | string | Trade URL token (8 characters) |
gamerequired | body | enum | Game type enum: csgo |
itemsrequired | body | array<string> | List of item IDs |
{
"merchant": "mymerchant",
"deposit_id": "123456asd",
"transaction_id": 123456,
"steam_id": "76561198000000000",
"trade_url_token": "abcdefgh",
"game": "csgo",
"items": [
"123",
"456",
"789"
]
}Responses
200 **Please open the schema to see the response structure, fields and their descriptions**
{
"status": "success",
"url": "https://pay.waxpeer.com/merchant/mymerchant?hash=7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
"transaction_id": 123456,
"hash": "7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
"listed": [
{
"name": "AWP | Asiimov (Field-tested)",
"item_id": "141414144",
"price": 1000
}
],
"failed": [
{
"item_id": "141414145",
"price": 1000,
"name": "AWP | Asiimov (Field-tested)",
"error_message": "item_not_acceptable"
}
]
}